#intro-overlay{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
    background-color: #100d0d;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 10000;
    cursor: pointer;
    transition: opacity 0.6s cubic-bezier(0.55, 0.085, 0.68, 0.53), visibility 0.6s;
}

#intro-text{
    margin-top:-5px;
    font-size: 0.69rem;
    letter-spacing: 6px;
    color: #dca8cd;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 10px;
    pointer-events: none;
    color:pink;
}

.nier-bar{
    width: 440px;
    height: 2px;
    background-color: pink;
    animation: expand 2s infinite ease-in-out;
    pointer-events: none;
}

@keyframes expand {
    0%, 100% {
        transform: scaleX(0.3);
        opacity: 0.2;
    }
    50% {
        transform: scaleX(1);
        opacity: 1;
    }
}

#bg{
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    display:block;
    position:fixed;
    user-select: none;
    -webkit-user-select: none;
    -webkit-user-drag: none;
    filter: brightness(50%);
}

body{
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.profile-container {
    position: fixed;
    inset: 0;

    display: flex;
    justify-content: center;
    align-items: center;
}

#overlay{
    display:none;
}

#overlay.dark {
    background: rgba(0, 0, 0, 0.5);
}

.profile-card{
    background: #361d1999;
    border: 0.5px solid pink;
    padding: 20px 50px;
    width:150px;
    max-width: 180px;
    min-height: 200px;
    text-align: center;
    margin:auto;
    position: fixed;
    box-shadow: 6px 6px 0 rgba(0, 0, 0, 0.15);
    transform: translateX(-400px) translateY(30px);
    opacity:0;

    transition: all 1.5s cubic-bezier(0.25, 1, 0.5, 1);

    display: flex;
    flex-direction: column;
    color: #000000;
}

.profile-card.active {
    opacity: 1;
    transform: translateY(250px);
}

#profile-icon{
    border:1px solid pink;
    
    width:80px;
    height:80px;
    margin-left:33px;
    user-select: none;
    -webkit-user-select: none;
    -webkit-user-drag: none;
}

#divider{
    width: 150px;
    height: 0.4px;
    border: 0;
    margin: 10px auto;
    background-color: pink;
    display: block;
}

.font{
    font-family:"Press Start 2P";
}

#text{
    color:pink;
}

body {
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
}

.social-icons{
    color: pink;
    font-size: 1.25rem;
    text-decoration: none;
    transition: all 0.2s;
    margin-bottom:-5px;
    transform: translateX(5px);
    width: 15px;
    height: 15px;
    border: 1px solid transparent;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}
.social-icons:hover{
    color:pink;
}

.vertical-line {
    width: 0.4px;
    height: 45px;
    margin-top:-22px;
    background-color: pink;
}

.zoom-area{
    transform: scale(2);
}